Last Comment Bug 335524 - Controls using index() in @ref does not work on form load
: Controls using index() in @ref does not work on form load
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on:
Blocks: 335525
  Show dependency treegraph
 
Reported: 2006-04-26 07:54 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Testcase (1.72 KB, application/xhtml+xml)
2006-04-26 07:55 PDT, Allan Beaufour
no flags Details
Fix (1.15 KB, patch)
2006-04-27 02:49 PDT, Allan Beaufour
bugs: review+
doronr: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2006-04-26 07:54:39 PDT
 
Comment 1 Allan Beaufour 2006-04-26 07:55:22 PDT
Created attachment 219876 [details]
Testcase
Comment 2 Allan Beaufour 2006-04-27 02:49:29 PDT
Created attachment 219997 [details] [diff] [review]
Fix

Problem was that we did not notify listeners when setting the initial index, so they got index = 0.
Comment 3 Allan Beaufour 2006-05-04 05:15:42 PDT
Fixed on trunk.

Note You need to log in before you can comment on or make changes to this bug.